MARTe2-core - User story #151

Lint: LoadableLibrary
28.06.2015 19:01 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/LoadableLibrary.cpp
Source/Core/L0Portability/LoadableLibrary.h
Source/Core/L0Portability/OperatingSystem/Linux/LoadableLibraryOS.h
Source/Core/L0Portability/OperatingSystem/Windows/LoadableLibraryOS.h
Test/Core/LOPortability/LoadableLibraryTest.cpp
Test/Core/LOPortability/LoadableLibraryTest.h
Test/GTest/LoadableLibraryGTest.cpp

Architecture & design review
Date of the review: 20/07/2015
Person who did the review: lvan Herrero

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 20/07/2015

Person who did the review: lvan Herrero

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A

Unit test review

Date of the review: 23/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS
List of non-conformities: N/A
Coverage note: Error paths not exercised

Testing note: Not proper test can be done for the LoadableLibrary::Close() function. It will have to be discussed in the future.

Associated revisions

Revision d7a04219 - 22.07.2015 18:07 - lvan Herrero
#151 - Relinting of LoadableLibrary source files

Note: New linting errors has arised respect revision 6e57def, after
updating to the last version of flexelint configuration files.

Revision 32e5b2d5 - 22.07.2015 19:57 - lvan Herrero
#151 - Apply coding standard to LoadableLibrary source files (template

and comments)

Revision 678¢c6567 - 23.07.2015 18:56 - lvan Herrero

#151 - Minor formatting corrections (following template rules)

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 17.07.2015 12:25 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#5 - 17.07.2015 18:31 - Filippo Sartori
- Status changed from Code: Impl to Code: Rev

#6 - 17.07.2015 18:32 - Filippo Sartori
- Assignee deleted (Riccardo Vitelli)

#7 - 20.07.2015 16:37 - lvan Herrero
- Description updated
- Status changed from Code: Rev to Unit: Impl

- Assignee set to Llorenc Capella

#8 - 21.07.2015 11:38 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#9 - 21.07.2015 11:44 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

Not proper test can be done for the LoadableLibrary::Close() function. It will have to be discussed in the future.

#10 - 22.07.2015 17:09 - Ilvan Herrero

- Assignee set to Ivan Herrero

#11 - 22.07.2015 20:20 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Unit: Impl

- Assignee deleted (lvan Herrero)

Unit test review made on revision 32e5b2d.

#12 - 23.07.2015 16:23 - Llorenc Capella

- Assignee set to Llorenc Capella

#13 - 23.07.2015 17:32 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#14 - 23.07.2015 17:33 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

Template and test added.

#15 - 23.07.2015 18:42 - lvan Herrero

- Assignee set to Ivan Herrero

#16 - 23.07.2015 20:02 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (lvan Herrero)

Unit test review made on revision 678c656.

Branch linting-loadablelibrary merged on develop branch (commit 3155e09).

Branch linting-loadablelibrary deleted.
